# OpalH224MediaStream Class Reference

`#include <h224handler.h>`

Inheritance diagram for OpalH224MediaStream:

[legend]
Collaboration diagram for OpalH224MediaStream:
[legend]

## Public Member Functions

| OpalH224MediaStream (OpalConnection &connection, OpalH224Handler &h224Handler, const OpalMediaFormat &mediaFormat, unsigned sessionID, PBoolean isSource)
| ~OpalH224MediaStream ()
virtual void | OnStartMediaPatch ()
virtual PBoolean | ReadPacket (RTP_DataFrame &packet)
virtual PBoolean | WritePacket (RTP_DataFrame &packet)
virtual PBoolean | IsSynchronous () const
virtual PBoolean | RequiresPatchThread () const

## Constructor & Destructor Documentation

OpalH224MediaStream::OpalH224MediaStream | ( | OpalConnection & | connection,
|  | OpalH224Handler & | h224Handler,
|  | const OpalMediaFormat & | mediaFormat,
|  | unsigned | sessionID,
|  | PBoolean | isSource |
| ) |  |  |

OpalH224MediaStream::~OpalH224MediaStream | ( |  | ) |

## Member Function Documentation

virtual PBoolean OpalH224MediaStream::IsSynchronous | ( |  | ) | const`[inline, virtual]`

Indicate if the media stream is synchronous. If this returns true then the media stream will block of the amount of time it takes to annunciate the data. For example if the media stream is over a sound card, and 480 bytes of data are to be written it will take 30 milliseconds to complete.

Implements OpalMediaStream.

virtual void OpalH224MediaStream::OnStartMediaPatch | ( |  | ) | `[virtual]`

Callback that is called on the source stream once the media patch has started. The default behaviour calls OpalConnection::OnMediaPatchStart()

Reimplemented from OpalMediaStream.

virtual PBoolean OpalH224MediaStream::ReadPacket | ( | RTP_DataFrame & | packet | ) | `[virtual]`

Read an RTP frame of data from the source media stream. The default behaviour simply calls ReadData() on the data portion of the RTP_DataFrame and sets the frames timestamp and marker from the internal member variables of the media stream class.

Reimplemented from OpalMediaStream.

virtual PBoolean OpalH224MediaStream::RequiresPatchThread | ( |  | ) | const`[inline, virtual]`

Reimplemented from OpalMediaStream.

virtual PBoolean OpalH224MediaStream::WritePacket | ( | RTP_DataFrame & | packet | ) | `[virtual]`

Write an RTP frame of data to the sink media stream. The default behaviour simply calls WriteData() on the data portion of the RTP_DataFrame and and sets the internal timestamp and marker from the member variables of the media stream class.

Reimplemented from OpalMediaStream.

The documentation for this class was generated from the following file:

- h224handler.h